

#ifndef SXVDEF
#define SXVDEF
#if defined (__WINDOWS__)
#include "cameras/SXUSB.h"
#else
#include "cameras/SXMacLib.h"
#endif
class Camera_SXVClass : public GuideCamera {
public:
	bool	CaptureFull(int duration, usImage& img, bool recon);	// Captures a full-res shot
																	//	bool	CaptureCrop(int duration, usImage& img);	// Captures a cropped portion
	bool	Connect();
	bool	Disconnect();
	void	InitCapture();
	
	//	bool	SetGlobalGain(unsigned char gain);
	bool	PulseGuideScope(int direction, int duration);
	//	void	ClearGuidePort();
#if defined (__WINDOWS__)
	HANDLE hCam;
#else
	void      *hCam;
#endif	
	Camera_SXVClass(); 

private:
#if defined (__WINDOWS__)
	struct t_sxccd_params CCDParams;
#else
	struct sxccd_params_t CCDParams;
#endif
	unsigned short CameraModel;
	unsigned short *RawData;
	unsigned short SubType;
	bool Interlaced;
	bool ColorSensor;
};
#endif  //SXVDEF
